Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

This patch prevents an Internal Server Error from occurring when a nil value is passed to the time_tag method.

For some reason, a table's created_at or updated_at may have an invalid value "0000-00-00 00:00". In this case, a nil value is

passed to time_tag and the user encounters an Internal Server Error. This situation has been reported in #12026 and #12826.

Related issues:

Related to Redmine - Defect #12026: 500 error on user page after migrating fr... Closed

Related to Redmine - Defect #12826: Error viewing some issues: ActionView::Te... Closed

Associated revisions

Revision 22022 - 2023-01-02 07:56 - Go MAEDA

Add guard clause to time_tag method to handle nil time (#38139).

Patch by Go MAEDA.

History

#1 - 2022-12-30 08:59 - Go MAEDA

- Related to Defect #12026: 500 error on user page after migrating from Trac to RedMine 2.0.3  added

#2 - 2022-12-30 09:00 - Go MAEDA

- Related to Defect #12826: Error viewing some issues: ActionView::Template::Error (undefined method `-' for nil:NilClass):  added

#3 - 2023-01-01 07:42 - Go MAEDA

- File deleted (add-guard-clause-to-time-tag.patch)

#4 - 2023-01-01 07:42 - Go MAEDA

- File add-guard-clause-to-time-tag.patch added

#5 - 2023-01-01 07:43 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#6 - 2023-01-02 07:56 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Files

add-guard-clause-to-time-tag.patch 1.26 KB 2023-01-01 Go MAEDA
